local lighter = require("lighter")
local light

local function rndTriangle()
    local x = love.math.random(0,800)
    local y = love.math.random(0,600)
    local dx1 = love.math.random(50,100)*(love.math.random()-0.5 > 0 and 1 or -1)
    local dy1 = love.math.random(50,100)*(love.math.random()-0.5 > 0 and 1 or -1)
    local dx2 = love.math.random(50,100)*(love.math.random()-0.5 > 0 and 1 or -1)
    local dy2 = love.math.random(50,100)*(love.math.random()-0.5 > 0 and 1 or -1)
    return {x,y,x+dx1,y+dy1,x+dx2,y+dy2}
end

function love.load()
    love.graphics.setLineJoin("none")
    lighter:newWorld(800,600)
    lighter.debug = true
    light = lighter:addLight({
            x = 400,
            y = 300,
            r = 400,
            arc = math.pi/2})
    for i = 1,10 do
        lighter:addPolygon(rndTriangle())
    end
end

function love.update(dt)
end

function love.draw()
    lighter:render()
    love.graphics.print(love.timer.getFPS())
end

function love.mousemoved(x,y,dx,dy)
    light.x,light.y = x,y
end

function love.wheelmoved(dx,dy)
    if love.keyboard.isDown("lctrl") then
        light.arc = light.arc + dy*0.1
    elseif love.keyboard.isDown("lalt") then
        light.r = light.r + dy*10
    else
        light.dir = light.dir + dy*0.1
    end
end